using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("项目阅片 - 退回重阅影响")]
[Table("TaskInfluence")]
public class TaskInfluence : BaseAddAuditEntity
{

    #region 导航属性
    [JsonIgnore]
    public VisitTask OriginalTask { get; set; }

    [JsonIgnore]
    public VisitTask InfluenceTask { get; set; }
    #endregion

    public Guid OriginalTaskId { get; set; }

    public Guid InfluenceTaskId { get; set; }

    [Comment("对影响任务进行的操作")]
    public ReReadingOrBackOptType OptType { get; set; }
}


